#include <bits/stdc++.h>
using namespace std;
bool ktra(int x, int j)
{
	if(x<2) return false;
	else if(j==1) return true;
	else if(x%j==0) return false;
	else ktra(x, j-1);
}
int main()
{
	ifstream fi("DQNT.INP");
	ofstream fo("DQNT.OUT");
	int n;
	fi>>n;
	int a[n];
	for(int i=0; i<n; i++)
	{
		fi>>a[i];
	}
	sort(a,a+n);
	int dem=0;
	for(int i=0; i<n; i++)
	{
		if(ktra(a[i], sqrt(a[i]))==true)
		{
			dem++;
			fo<<a[i]<<' ';
		}
	}
	if(dem==0) fo<<"-1";
}
